Package net.snowflake.client.core.auth.oauth

## Class DPoPUtil

- java.lang.Object
- - net.snowflake.client.core.auth.oauth.DPoPUtil

    @SnowflakeJdbcInternalApi
    public class DPoPUtil
    extends Object

### Constructor Summary

Constructors
`DPoPUtil​(String jsonKey)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDPoPProofHeaderToRequest​(org.apache.http.client.methods.HttpRequestBase httpRequest, String nonce)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DPoPUtil

    public DPoPUtil​(String jsonKey)
             throws SFException

Throws:
  `SFException`

### Method Detail

#### addDPoPProofHeaderToRequest

    public void addDPoPProofHeaderToRequest​(org.apache.http.client.methods.HttpRequestBase httpRequest,
                                            String nonce)
                                     throws SFException

Throws:
  `SFException`